# fn() arrayFill
Assigns one object to each element of a range.

Defined in | <seqan/basic.h>
Signature | `void arrayFill(begin, end, value[, parallelTag]);`

## Parameters

`begin` | Iterator to the begin of the range that is to be filled.
`end` | Iterator behind the end of the range.
`value` | Argument that is assigned to all `count` objects in `array`.
`parallelTag` | Tag to enable/disable parallelism. Types: Serial, Parallel

## Detailed Description

All objects `target_begin[0]` to `target_begin[count-1]` are set to `value`.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @fn arrayFill
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Assigns one object to each element of a range.
     *
     * @signature void arrayFill(begin, end, value[, parallelTag]);
     *
     * @param[in] begin Iterator to the begin of the range that is to be filled.
     * @param[in] end Iterator behind the end of the range.
     * @param[in] value Argument that is assigned to all <tt>count</tt> objects in
     *                  <tt>array</tt>.
     * @param[in] parallelTag Tag to enable/disable parallelism. Types: Serial,
     *                        Parallel
     *
     * All objects <tt>target_begin[0]</tt> to <tt>target_begin[count-1]</tt> are
     * set to <tt>value</tt>.
     */